### Property

# Gtk Widget:root

since: 4.0

#### Declaration

    property root: Gtk.Root [ read ]

#### Description [src]

The `GtkRoot` widget of the widget tree containing this widget.

This will be `NULL` if the widget is not contained in a root widget.

Type: | `GtkRoot`
Available since: | 4.0

Getter method | `gtk_widget_get_root()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no